Groovy Documentation

## org.vertx.groovy.core.http.impl
[Groovy] Class DefaultHttpClient

    java.lang.Object
      org.vertx.groovy.core.http.HttpClient
          org.vertx.groovy.core.http.impl.DefaultHttpClient

    class DefaultHttpClient
    extends HttpClient

Authors:
  Tim Fox

Field Summary

Fields inherited from class HttpClient
jClient

Constructor Summary
`DefaultHttpClient(VertxInternal vertx, java.util.Map props = null)`

Method Summary

Methods inherited from class HttpClient

close, connect, connectWebsocket, connectWebsocket, delete, exceptionHandler, get, getBossThreads, getConnectTimeout, getKeyStorePassword, getKeyStorePath, getMaxPoolSize, getNow, getNow, getReceiveBufferSize, getSendBufferSize, getTrafficClass, getTrustStorePassword, getTrustStorePath, head, isReuseAddress, isSSL, isSoLinger, isTCPKeepAlive, isTCPNoDelay, isTrustAll, options, patch, post, put, request, setBossThreads, setConnectTimeout, setHost, setKeepAlive, setKeyStorePassword, setKeyStorePath, setMaxPoolSize, setPort, setReceiveBufferSize, setReuseAddress, setSSL, setSendBufferSize, setSoLinger, setTCPKeepAlive, setTCPNoDelay, setTrafficClass, setTrustAll, setTrustStorePassword, setTrustStorePath, trace

Constructor Detail

### DefaultHttpClient

    DefaultHttpClient(VertxInternal vertx, java.util.Map props = null)

Groovy Documentation